#pragma once
/**
 * @brief Solves Euler problem 1: Multiples of 3 and 5
 *
 * This function calculates the sum of all the multiples of 3 or 5 below a given number.
 *
 * @param limit The upper limit for the range to consider (should be positive).
 * @return The sum of multiples of 3 or 5 below the given limit.
 *
 * @note This function only works with positive integer inputs.
 */
int euler1(int limit);