#include "euler_p3.h"
#include <vector>


/*
The prime factors of 13195 are 5, 7, 13 and 29
What is the largest prime factor of the number 600851475143
*/

long long int euler3(long long int limit) {
    long long int largest_factor = 0;

    
    while (limit % 2 == 0) {
        largest_factor = 2;
        limit /= 2;
    }
    for (long long int i = 3; i <= sqrt(limit); i += 2) {
        while (limit % i == 0) {
            largest_factor = i;
            limit /= i;
        }
    }

    if (limit > 2) {
        largest_factor = limit;
    }

    return largest_factor;
}