#pragma once
/**
 * @brief Solves Euler problem 4: largest palindrome
 *
 * This function calculates the largest palindrome that is the result of two numbers
 *
 * @param limitA one of the numbers to use in the multiplication
 * @param limitB one of the numbers to use in the multiplication
 * @return The highest palindrome resulting from a combination a & b 
 *
 * @note This function only works with positive integer inputs.
 */
int euler4(int limitA, int limitB);