// euler.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include <cassert> 
#include "euler_p1.h"
#include "euler_p2.h"
#include "euler_p3.h"
#include "euler_p4.h"



void unit_tests() {

    assert(euler1(10) == 23);
    assert(euler2(10) == 10);
    assert(euler3(13195) == 29);
    assert(euler4(99,99) == 9009);

    std::cout << "All tests passed! continues main." << std::endl;
}

int euler_p1() {
    int res = euler1(1000);
    return res;
}

int euler_p2() {
    int res = euler2(4000000);
    return res;
}

long long int euler_p3() {
    long long int res = euler3(600851475143);
    return res;
}

int euler_p4() {
    int res = euler4(999, 999);
}

int main()
{
    unit_tests();
    
    std::cout << "the result for problem 1 = " << euler_p1() << std::endl;
    std::cout << "the result for problem 2 = " << euler_p2() << std::endl;
    std::cout << "the result for problem 3 = " << euler_p3() << std::endl;
}

