#pragma once
/**
 * @brief Solves Euler problem 2: Even Fibonacci Numbers
 *
 * This function calculates the sum of all the even numbers in the fibonacchi sequence with the upper limit as close to given limit 
 *
 * @param limit The upper limit for the range to consider (should be positive).
 * @return The sum of every even fibbonachi number lower then the limit.
 *
 * @note This function only works with positive integer inputs.
 */
int euler2(int limit);