#pragma once
/**
 * @brief Solves Euler problem 3: Largest prime factor
 *
 * This function calculates the highest prime number that devides the given limit
 *
 * @param limit The upper limit for the range to consider (should be positive).
 * @return The highest prime lower or equal to the limit.
 *
 * @note This function only works with positive integer inputs.
 */
long long int euler3(long long int limit);